#ifndef plugins_list_item_H
#define plugins_list_item_H

#include <QWidget>
#include <pimap.h>
#include "ui_plugins_list_item.h"
#include "SH_plugins_manager.h"


class SHPluginsListItem: public QWidget, public Ui::SHPluginsListItem {
	Q_OBJECT
public:
	explicit SHPluginsListItem(QWidget * parent = 0);
	~SHPluginsListItem();

	void setPlugin(const SHPluginsManager::Plugin & p);
	bool isFilterMatch(const QString & filter) const;
	QString name() const;
	
private:
	bool event(QEvent * e) override;
	void updateStyle();
	void updateContent();

	SHPluginsManager::Plugin plugin;

public slots:

private slots:
	void on_buttonUpdate_clicked();
	void on_actionRemove_triggered();
	void on_actionLoad_triggered();
	void on_actionUnload_triggered();
	void on_actionEnable_triggered();
	void on_actionDisable_triggered();

signals:
	
};


#endif
